Update Activation Key

[PATCH] /caui/v1/activation-keys/manage/activation-key/ <id>

Use this API to update the activation key configurations.

Provide the activation key ID (id - Required) in the API request to update the required activation key. 

Permissions required - Managers with full scope. Other users must have these permissions: Access Permission — API Access, and CA Activation Key Permission — Edit Activation Key.

Input Parameters

Parameter Mandatory/Optional Data type Description
title Optional String Enter the activation key title. If the field is not provided, the key title remains unchanged.
networkId Optional Integer Enter the network ID for the key. The Cloud Agents installed with this key will use the specified network. If the field is not provided, network for the key remains unchanged.
expireDate Optional Date Enter the expiry date for the key in UTC/GMT format, i.e., YYYY-MM-DD. If the field is not provided, expiry date limit for the key remains unchanged.
removeExpireDate Optional Boolean Use this parameter to remove the expiry date limit for the key.

Valid values: true, false
maxAgentsAllowed Optional Integer Specify the number of agents allowed to be installed with this key. The parameter value should be more than the number of Cloud Agents already installed with the key.

If the field value is not used, the maximum count limit remains unchanged.

Valid range: 1-1000000.
removeMaxAgentsAllowed Optional Boolean Use this parameter to remove the maximum agent installation limit. 

Valid value: true, false
applyToExistingAgents Optional Boolean Use this parameter to apply the updated activation key configuration to the Cloud Agents associated with this key. 

Valid values: true, false
addLicenses Optional String Use this parameter to provision this key for new Qualys applications. If the field is not provided, the applications added for the activation key remain unchanged.

Valid values: VM, PC/PA, FIM, EDR, SCA, PM, CAPS, SwCA, MTG, ISL, and so on. 
removeLicenses Optional String Use this parameter to remove the already provisioned Qualys applications for the key. If the field is not provided, the applications added for the activation key remain unchanged.

Valid values: VM, PC/PA, FIM, EDR, SCA, PM, CAPS, SwCA, MTG, ISL, and so on.
addTags Optional Integer Use this parameter to add new tags to the activation key. Specify the tags using the tag IDs. If the field is not provided, tags added to the key remain unchanged.
removeTags Optional Integer Use this parameter to remove existing tags added to the activation key. Specify the tags using the tag IDs. If the field is not provided, tags added to the key remain unchanged.

Sample – Update activation keySample – Update activation key

API Request

 
    curl --location --request PATCH ' /caui/v1/activation-keys/manage/activation-key/123456’ 
    --header 'Content-Type: application/json' \ 
    --header 'Authorization: Bearer Token' \
     

 

API Request Body

 --data ''
  {   
     "title": "string", 
     "networkId": 123456,   
     "removeExpireDate": true,   
     "maxAgentsAllowed": 100,   
     "applyToExistingAgents": true,   
     "addLicenses": [     
        "PM"   
        ],   
     "removeLicenses": [     
        "SCA"   
        ],   
     "addTags": [     
        123456   
        ],   
     "removeTags": [     
        345678   
        ] 
     } 

API Response

Successfully updated activation key